#include "checkimpl.h"

//
checkImpl::checkImpl(QWidget * parent, Qt::WFlags f) 
	: QWidget(parent, f)
{
	currentLine=0;
	setupUi(this);
	connect(suggList, SIGNAL( itemDoubleClicked(QListWidgetItem *)), this, SLOT(setChangeto(QListWidgetItem *) ));
	connect(change, SIGNAL( clicked()), this, SLOT( replace()) );
	connect(ignore, SIGNAL( clicked()), this, SLOT( Ignore() ) );
	connect(ignoreAll, SIGNAL( clicked()), this, SLOT( IgnoreAll() ));
	connect(add, SIGNAL( clicked()), this, SLOT( addWord()));
	connect(skipField, SIGNAL( clicked()), this, SIGNAL(skipRecord()));
}
//

/* revoir l'affaire de l'encoding */

void checkImpl::print(List * SuggList){
	cout<<"printing sugglist checkimpl taille de la liste "<<SuggList->size()<<endl;
	suggList->clear();
	QTextCodec *codec = QTextCodec::codecForName(link->getEncoding().c_str());
	for (int i=0;i<SuggList->size();i++)
	{
			suggList->addItem(codec->toUnicode(SuggList->getElement(i).c_str()));	
		}
	this->show();	
}

void checkImpl::replace(){
	if  (changeto->hasAcceptableInput() )
			{
								hide();	
			char repl[80];
			QTextCodec * codec=QTextCodec::codecForName(link->getEncoding().c_str());
			strcpy(repl,codec->fromUnicode(changeto->text()));		
				link->replace(repl);	

		}		
}


void checkImpl::showContext(char * show){
    thisField->clear();
    context->clear();
    string text=link->currentDB()+"::"+link->currentTable()+"::"+link->currentField();
	thisField->setText(QString(text.c_str()));
	context->clear();
	QTextCodec *codec = QTextCodec::codecForName(link->getEncoding().c_str());
	context->setText(codec->toUnicode(show));
}

void checkImpl::Ignore(){
	hide();
	link->replace("--");
}

	
void checkImpl::setChangeto(QListWidgetItem * item){
	changeto->setText(item->text());
}

void checkImpl::addWord(){
	QTextCodec *codec = QTextCodec::codecForName(link->getEncoding().c_str());
string query(codec->fromUnicode(context->toPlainText()));
string rep;
int i=query.find_last_of("*");
int j=query.find_last_of("*");
rep.insert(0,query,i+1,j-i-1);
link->addWordToSpeller(rep);
Ignore();
}

void checkImpl::IgnoreAll(){
	QTextCodec *codec = QTextCodec::codecForName(link->getEncoding().c_str());
string query(codec->fromUnicode(context->toPlainText()));
string rep;
int i=query.find_first_of("*");
int j=query.find_last_of("*");
rep.insert(0,query,i+1,j-i-1);
link->IgnoreAll(rep);
Ignore();
}


void checkImpl::setController(Controller * link){
if (link)
this->link=link;
}

