#ifndef GUI_SPELLER_H
#define GUI_SPELLER_H
//
#include <QObject>
//
#include "impl.h"
#include "impl2.h"
#include "impl3.h"
#include "impl4.h"
#include "checkimpl.h"
#include "fieldimpl.h"
#include "list.h"
#include "noticeimpl.h"
#include "optimpl.h"
#include "controller.h"
#include "conimpl.h"
#include "dbdiagimpl.h"

class ConImpl;
class checkImpl;
class Impl;
class Impl2;
class Impl3;
class Impl4;
class fieldImpl;
class optImpl;
class spellerThread;
class noticeImpl;
class Controller;
class dbDiagImpl;
//
class GUI_SPELLER  : private QObject
{
Q_OBJECT


private:

ConImpl * mainwin;
Controller * link;

Impl * win;
Impl2 * win2;
Impl3 * win3;
Impl4 * win4;
checkImpl * win5;
fieldImpl * win6;
optImpl * win9;
dbDiagImpl * win10;

noticeImpl * notice;

spellerThread * MySpellThread;

public:

GUI_SPELLER();

spellerThread * getSpellThread(){
	return MySpellThread;
}

	
void setController(Controller *);


public slots:

void showMessage(QString text){
		QMessageBox::about(0,tr("Error"),text);	
}

void print(List suggList);

void showCheckImpl();

void showContext(char * show);

void fieldImplPopulate(List l);

void done();
	
void message(int n);

void aborted();

void linkRecord();

void configureSpeller(List*);

void createOpt();

void complete();

public:

~GUI_SPELLER();
	
};
#endif
