#include "impl.h"
#include <QMessageBox>
//
Impl::Impl(QWidget * parent, Qt::WFlags f) 
	: QWidget(parent, f)
{
	setupUi(this);
	connect(SubmitButton, SIGNAL( clicked() ),this,SLOT( Submit()));
	connect(this, SIGNAL ( success() ), this, SLOT( close() ) );
	connect(this, SIGNAL (failure() ), this, SLOT( Error() ));
	connect(Box, SIGNAL ( currentIndexChanged(QString)),this, SLOT( emitcic(QString)));
}
//

void Impl::Submit(){
	if (link->Login(username->text().toStdString(),password->text().toStdString(),hostname->text().toStdString(),port->text().toInt(),Box->currentText().toStdString()))
		emit success();
		else emit failure();
}

void Impl::Error(){
	QMessageBox::about(this,tr("Failed"),tr("one of the fields is unappropriate"));
}

void Impl::setController(Controller * link){
	if (link)
		this->link=link;
}

void Impl::emitcic(QString s){
	emit valueChanged(new string(s.toStdString()));
}
