#include "migimpl2.h"
#include "controller.h"

//
MigImpl2::MigImpl2( QWidget * parent, Qt::WFlags f) 
	: QMainWindow(parent, f)
{
	setupUi(this);
	connect(inserted, SIGNAL( triggered()), this, SIGNAL( fields()) );
	connect(Encoding, SIGNAL( triggered()), this, SIGNAL( encoding()));
	connect(Dics,SIGNAL( triggered()), this, SIGNAL( showdics()) );
	connect(Preferences,SIGNAL( triggered()), this, SIGNAL( showopt()) );
	setSource();
	widgetCount->hide();
}
//

QWidget * MigImpl2::getWidget(){
	return widget;
}


void MigImpl2::setController(Controller * link){
	this->link=link;
}


void MigImpl2::setSource(){
	label->setText(tr("  Setting Source"));
}

void MigImpl2::setDestination(){
	label->setText(tr("  Setting Destination"));
	link->switchToDest();
}
void MigImpl2::setMigrating(){
	label->setText(tr("  Drag and drop field inside the proper destination"));
}

void MigImpl2::setProcess(){
	widgetCount->hide();
		label->setText(tr("  Processing.....Standby...."));
}

void MigImpl2::setFinish(){
		label->setText(tr("  Drag and drop field inside the proper destination"));
	resize(600,550);
	widgetCount->show();
	done->show();
}

void MigImpl2::addInsert(){
	lcdNumber->display(lcdNumber->intValue()+1);
//	lcdNumber->activateWindow();
}

void MigImpl2::setInsert(int n){
	lcdNumber->display(n);
}

void MigImpl2::showLcd(){
	widgetCount->show();
}

void MigImpl2::resetLcd(){
	lcdNumber->display(0);
}