#include "winimpl.h"
#include "qtconnection.h"
#include "recordspeller.h"
#include "QMessageBox"
#include "QTranslator"
#include <QImage>

//
WinImpl::WinImpl(QWidget * parent, Qt::WFlags f) 
	: QMainWindow(parent, f) 
{
	setupUi(this);
	empty=true;
	QImage image("./images/dbspeller.jpg");
	label->setPixmap(QPixmap::fromImage(image));
	connect(New_Migration_2, SIGNAL( triggered()), this, SLOT(newmig()));
	connect(new_spell_check, SIGNAL( triggered()), this, SLOT(newspell()));
	connect(About, SIGNAL( triggered()), this, SLOT( about()));
}

void WinImpl::newmig(){
	Controller * link=new Controller(new RecordSpeller,new qtConnection,new qtConnection);
}

void WinImpl::newspell(){
	Controller * link=new Controller(new RecordSpeller, new qtConnection);
}

void WinImpl::about(){
QMessageBox::about(this,tr("About"),tr("dbSpeller V1.2\nThis is a project developped\nat the Saint Joseph University's faculty\n of engineering by Wassim Wehbi\n wassim.wehbi@gmail.com\n http://www.usj.edu.lb\nProject Url: http://dbspeller.sourceforge.net"));

	
}
