#include "gui_speller.h"
//
GUI_SPELLER::GUI_SPELLER(  )
{
link=0;
mainwin=new ConImpl;
win=new Impl(mainwin->tabWidget->widget(0));
win2=new Impl2(mainwin->tabWidget->widget(0));
win3=new Impl3(mainwin->tabWidget->widget(0));
win4=new Impl4(mainwin->tabWidget->widget(0));
win5=new checkImpl(mainwin->tabWidget->widget(0));
win6=new fieldImpl;
win9=0;
notice=new noticeImpl;
win10=new dbDiagImpl;

MySpellThread=new spellerThread;

win2->hide();
win3->hide();
win4->hide();
win5->hide();
win6->hide();

connect(win, SIGNAL( success() ), win2, SLOT( populate() ));
connect(win, SIGNAL( success() ), win2, SLOT( show() ));

connect(win2, SIGNAL( clicker() ), win3, SLOT( show() ));
connect(win2, SIGNAL( databaseChanged(string) ), win3, SLOT(setDatabase(string)) );

connect(win3, SIGNAL( clicker() ),win4, SLOT(show()) );
connect(win3, SIGNAL( tableChanged(string)), win4, SLOT( setTable(string)) );

connect(win5, SIGNAL( skipRecord()), this, SLOT( linkRecord()));

connect(mainwin, SIGNAL( fields()), win6, SLOT( show()));
connect(mainwin, SIGNAL( newspell()), win2, SLOT( show()) );
connect(mainwin, SIGNAL( showopt()), this, SLOT( createOpt()));

connect(MySpellThread, SIGNAL( showContext(char *)),win5, SLOT(showContext(char *)));
connect(MySpellThread, SIGNAL( print(List *)), win5, SLOT( print(List *)));
connect(MySpellThread, SIGNAL( print(List *)), win5, SLOT( show()));
connect(MySpellThread, SIGNAL( done()), this, SLOT( done()));
connect(MySpellThread,SIGNAL( message(int )), this, SLOT( message(int)));
connect(MySpellThread, SIGNAL( complete()), this, SLOT( done()));

connect(MySpellThread, SIGNAL( complete()), this, SLOT( complete()));
connect(MySpellThread, SIGNAL( linkRecord()), this, SLOT( linkRecord()));

connect (MySpellThread, SIGNAL( error(QString)), this, SLOT( showMessage(QString)));

connect(notice, SIGNAL( accepted()), this, SLOT( linkRecord()));
connect(notice, SIGNAL( rejected()), this, SLOT( aborted()));

connect(win, SIGNAL( valueChanged(string *)), win10, SLOT( check(string *)));

if (!win->isVisible())
win->show();
if (!mainwin->isVisible())
mainwin->show();
}
//

void GUI_SPELLER::setController(Controller * link){
	this->link=link;
mainwin->setController(link);
win->setController(link);	
win2->setController(link);
win3->setController(link);
win4->setController(link);
win5->setController(link);
win6->setController(link);
}

void GUI_SPELLER::print(List suggList){
	win5->print(&suggList);
}

void GUI_SPELLER::showCheckImpl(){
	win5->show();
}

void GUI_SPELLER::showContext(char * show){
	win5->showContext(show);
}

void GUI_SPELLER::fieldImplPopulate(List l){
	win6->populate(l);
}

void GUI_SPELLER::createOpt(){
	win9=new optImpl;
	win9->setController(link);
	win9->show();
	win9->populate();
}

void GUI_SPELLER::done(){
		QMessageBox::about(0,tr("Info"),tr("Spell checking done"));	
	}

void GUI_SPELLER::complete(){
	done();
}
	
void GUI_SPELLER::message(int n){
	notice->setText(n);
		notice->show();
	}
	
void GUI_SPELLER::aborted(){
		QMessageBox::about(0,tr("Info"),tr("Spelling aborted"));	
}

void GUI_SPELLER::linkRecord(){
	link->linkRecords();
}

void GUI_SPELLER::configureSpeller(List * FieldList){
if (link)
	link->configureSpeller(FieldList);
}

GUI_SPELLER::~GUI_SPELLER(){
	delete win;
	delete win2;
	delete win3;
	delete win4;
	delete win5;
	delete win6;
	delete win9;
}

