#include "impl2.h"
#include <QMessageBox>
#include <string>
using namespace std;
//
Impl2::Impl2(QWidget * parent, Qt::WFlags f) 
	: QWidget(parent, f)
{
	setupUi(this);
	connect(list, SIGNAL( itemActivated(QListWidgetItem*) ), this, SLOT( enableNext() ) );
	connect(next, SIGNAL( clicked() ),this, SIGNAL( clicker() ) );
	connect(next, SIGNAL( clicked() ),this, SLOT(setDatabase()));

	connect(this, SIGNAL( databaseChanged(string) ),this, SLOT(popup(string)));
		
}
//

void Impl2::enableNext(){
	next->setEnabled(true);
}


void Impl2::setDatabase(){
	database=list->currentItem()->text().toStdString(); 
	emit databaseChanged(database);
	next->setEnabled(false);

}
void Impl2::popup(string str){
	QMessageBox::about(this,"databaseChanged",(str+" is the chosen database").c_str());
}
void Impl2::populate(){
		list->clear();
		List * DbList=link->getDatabaseList();
		for (int i=0;i<DbList->size();i++) 
		list->addItem(QString(DbList->getElement(i).c_str()));	
		delete DbList;

}

void Impl2::setController(Controller * link){
if (link)
this->link=link;
}