#include "impl3.h"
#include <QMessageBox>

//
Impl3::Impl3(QWidget * parent, Qt::WFlags f) 
	: QWidget(parent, f)
{
	setupUi(this);
	connect(list, SIGNAL( itemActivated(QListWidgetItem*) ), this, SLOT( enableNext() ) );
	connect(next, SIGNAL( clicked() ),this, SIGNAL( clicker() ) );
	connect(next, SIGNAL( clicked() ),this, SLOT(setTable()));
	connect(this, SIGNAL( tableChanged(string) ),this, SLOT(popup(string)));
	connect(this, SIGNAL( databaseSet() ), this, SLOT( populate() ) );            
	
}
//
void Impl3::enableNext(){
	next->setEnabled(true);
}

void Impl3::setTable(){
	table=list->currentItem()->text().toStdString(); 
	emit tableChanged(table);
}
void Impl3::popup(string str){
	QMessageBox::about(this,tr("TableChanged"),tr((str+" is the chosen table").c_str()));
	next->setEnabled(false);
}

void Impl3::setDatabase(string database){
	Database->setText(QString(database.c_str()));
	emit databaseSet();
}

void Impl3::populate(){
	list->clear();
	List * tblList=link->getTableList(getDatabase());
	for (int i=0;i<tblList->size();i++) 
		list->addItem(QString(tblList->getElement(i).c_str()));	
	delete tblList;
}


void Impl3::setController(Controller * link){
if (link)
this->link=link;
}