
#include "myspeller.h"
#include "recordspeller.h"
#include <string>
#include <vector>
using namespace std;



void MySpeller::next(){

char show[256];

      word_begin = line + token.offset + diff;
      sprintf(show,"%.*s*%.*s*%s",
	     (int)(token.offset + diff), line,
	     (int)token.len, word_begin,
	     word_begin + token.len);
	
 
string rep;
string s(show);
int i=s.find_last_of("*");
int j=s.find_last_of("*");
rep.insert(0,s,i+1,j-i-1);

if (isIgnored.appartient(rep))
	linker();
else{
	cout<<"context "<<show<<endl;
      link->showContext(show);	

List* SuggList=new List;
const AspellWordList * suggestions=aspell_speller_suggest(spell_checker,word_begin,token.len);
	AspellStringEnumeration * elements=aspell_word_list_elements(suggestions);
	const char * word;
	while ( (word=aspell_string_enumeration_next(elements)) !=NULL){
		SuggList->addElement(string(word));
	}
cout<<"printing suggList"<<endl;
	link->printSuggList(SuggList);
}

}




void MySpeller::linker(){
	token=aspell_document_checker_next_misspelling(checker);
	if (token.len!=0)
		next();
		else
			flush();
}

void MySpeller::flush(){
	delete_aspell_document_checker(checker);
	dynamic_cast<RecordSpeller *>(this)->checkedLine(string(line));
	dynamic_cast<RecordSpeller *>(this)->linkSpeller();
}

void MySpeller::configure(string text){
  strcpy(line,text.c_str());
  word_begin=0;
  if (spell_checker==0) throw "no spell checker";
  ret = new_aspell_document_checker(spell_checker);
  checker = to_aspell_document_checker(ret);
  aspell_document_checker_process(checker, line, -1);
  diff = 0;
 token = aspell_document_checker_next_misspelling(checker);
 if  ( token.len!=0 ){

 	diff=0;
    next();
   }
else {
	delete_aspell_document_checker(checker);
dynamic_cast<RecordSpeller *>(this)->checkedLine(string(line));
dynamic_cast<RecordSpeller *>(this)->linkSpeller();
}
}
void MySpeller::replace(char * repl){

if (repl[0]=='-')
	;
	else{
		 	link->setSansFautes(false);
		unsigned int repl_len;
repl_len = strlen(repl);
repl[repl_len] = '\0';

      /* Replace the misspelled word with the replacement */
      diff += repl_len - token.len;
      memmove(word_begin + repl_len, word_begin + token.len,
	      strlen(word_begin + token.len) + 1);
      memcpy(word_begin, repl, repl_len);
	}
cout<<"after replacing: "<<string(line)<<"\n";
linker();
}

MySpeller::~MySpeller(){

}

void MySpeller::setController (Controller * link){
if (link)
this->link=link;
}

List * MySpeller::getDictList(){
AspellConfig * config;
  List * liste=new List;
  AspellDictInfoList * dlist;
  AspellDictInfoEnumeration * dels;
  const AspellDictInfo * entry;
  config = new_aspell_config();
 
  dlist = get_aspell_dict_info_list(config);

  delete_aspell_config(config);

  dels = aspell_dict_info_list_elements(dlist);
  
  while ( (entry = aspell_dict_info_enumeration_next(dels)) != 0) 
    liste->addElement(entry->name);

  delete_aspell_dict_info_enumeration(dels);

  return liste;
}
//


void MySpeller::addWord(string word){
ignoreList(word);
aspell_speller_add_to_personal(spell_checker,word.c_str(),-1);

}


void MySpeller::IgnoreAll(string word){
ignoreList(word);
aspell_speller_add_to_session(spell_checker, word.c_str(), -1);
}


void MySpeller::ignoreList(string word){
	if (word!="")
		if (!isIgnored.appartient(word))
		isIgnored.addElement(word);
}

void MySpeller::setConfig(string option,string value){
 config = new_aspell_config();
 
if (option==string("lang"))
{
language=value;
 aspell_config_replace(config,"encoding",encoding.c_str());
}
else if (option==string("encoding")){
encoding=value;
aspell_config_replace(config, "lang",language.c_str());
}

  aspell_config_replace(config,"normalize","true");  
 aspell_config_replace(config,option.c_str(),value.c_str());
  ret = new_aspell_speller(config);
  delete_aspell_config(config);
  if (aspell_error(ret) != 0) {
    delete_aspell_can_have_error(ret);
    throw "error in configuration change";
  }
  spell_checker = to_aspell_speller(ret);
  config = aspell_speller_config(spell_checker);
}


void MySpeller::flushIgnoreList(){
isIgnored.flush();
}