#include "optimpl.h"
//
optImpl::optImpl( QWidget * parent, Qt::WFlags f) 
	: QWidget(parent, f)
{
	setupUi(this);
	connect(set_2, SIGNAL(clicked()), this, SLOT( configSource()));
	connect(set_3, SIGNAL( clicked()), this, SLOT( configDest()));
	connect(set_4,SIGNAL( clicked()), this, SLOT( configSpell()));
	connect(set, SIGNAL( clicked()), this, SLOT( configDict()));
	connect(done, SIGNAL( clicked()), this, SLOT( close()));
	connect(partition, SIGNAL( valueChanged(int)), this , SLOT(setPartition(int)));
	link=0;
}
//


void optImpl::setController(Controller * link){
if (link)
this->link=link;
}

void optImpl::configSource(){
link->setSourceEncoding(box->currentText().toStdString());
}

void optImpl::configDest(){
	link->setDestEncoding(box_2->currentText().toStdString());
}

void optImpl::configSpell(){
	link->setSpellerOption("encoding",box_3->currentText().toStdString());
}

void optImpl::populate(){
List * FieldList=link->getDictList();
list->clear();
for (int i=0;i<FieldList->size();i++)
list->addItem(QString(FieldList->getElement(i).c_str()));
}

void optImpl::configDict(){
link->setSpellerOption("lang",list->currentItem()->text().toStdString());

}

void optImpl::setPartition(int n){
	link->setPartition(n);
}
