#ifndef SPELLERTHREAD_H
#define SPELLERTHREAD_H
//
#include <QThread>
#include "controller.h"
#include "list.h"
//

class spellerThread : public QThread
{
Q_OBJECT

private:

List * SourceFields;
Controller * link;

public:
	spellerThread():QThread(){
		SourceFields=0;
	}
	void setSourceFields(List * l){
		SourceFields=l;
	}
	void setController(Controller * link){
		this->link=link;
	}
	void emitShowContext(char *);
	void emitPrint(List *);
	void run();
	void emitDone();
	void doMsleep(int n);
	void emitError(QString text);
	void emitComplete();
	void emitLinkRecord();
	
	signals:
	void done();
	void showContext(char * show);
	void print(List * l);
	void message(int);
	void error(QString);
	void complete();
	void linkRecord();
};
#endif
