#ifndef WORKERTHREAD_H
#define WORKERTHREAD_H
//
#include <QThread>
#include <QMessageBox>
#include "abstractconnection.h"
#include "list.h"
#include "controller.h"
//

class AbstractConnection;

class workerThread : public QThread
{
Q_OBJECT

private:

List * SourceFields;
AbstractConnection * source;

public:
	workerThread();
	void directMigration(List * SourceFields);
	void setSourceFields(List * s){
		SourceFields=s;
	}
	void setSource(AbstractConnection * source){
		this->source=source;
	}
	void run();
	~workerThread();
	void emitError(QString);
	void emitAddInsert();
	signals:
	void done();
	void error(QString);
	void addInsert();
};
#endif
